Subject: Re: bug#50865: 28.0.50; Emoji with emoji modifier in Linux console garbles emacs display

From: Aura Kelloniemi <[email-masked]>
Date: Mon, 04 Oct 2021 19:51:58 +0300

Hello,

On 2021-10-04 at 19:35 +0300, Eli Zaretskii <[email-masked]> wrote:
 > Here's a potentially better solution, which uses the display-table
 > feature built into Emacs to display problematic characters as some
 > other characters:

Thank you very much.

I looked at the Linux kernel sources, and found from drivers/tty/vt/vt.c a
table of characters which will be automatically padded with space when writing
the glyph to the console. It recognizes two-column characters from Unicode
5.0. I try to get a patch into Linux itself which would extend support for
automatic padding to include current Unicode multi-column characters.

Whether this succeeds or fails, I'll report it here. This might take some time
though, I'm afraid. It probably would fix this alignment issue for good.

-- 
Aura